import { installPackage } from '@antfu/install-pkg';
import { uniq } from 'lodash';

import { envs, getProjectDependencies } from './env';

const deps = getProjectDependencies();
const packages = uniq(
  envs
    .filter(_ => deps.has(_.dependency) && _.eslintPlugin && !deps.has(_.eslintPlugin))
    .map(_ => _.eslintPlugin!),
);

console.log('Installing missing ESLint plugins.\n');

void installPackage(packages, {
  silent: false,
});
